/**
 * RootController Class
 *
 * @public
 * @class RootController
 */
class RootController {

  /**
   * RootController constructor
   *
   * @public
   * @constructor
   * @param {Object} options - Options
   */
  constructor(options = {}) {

    /**
     * Options
     *
     * @private
     * @type {Object}
     */
    this.options = options

    /**
     * Logs
     *
     * @private
     * @type {String}
     */
    this.logger = options.logger || console
    if(!this.logger.debug) {
      this.logger.debug = console.log.bind(console)
    }

    /**
     * The pkg collection name
     *
     * @private
     * @type {String}
     */
    this.name = options.name
  }

  set(key, val) {

    this[key] = val

  }

}

module.exports = RootController
